# Configuration file

####################
# block
####################

block {
    # The block ID to use as the starting point for assignment, delete the other IDs to reassign
    I:"Block Starting ID"=751
    I:blockBasalt=754
    I:blockBasaltBrickStairs=756
    I:blockBasaltCobbleStairs=758
    I:blockBasaltDoubleSlab=761
    I:blockBasaltSlab=760
    I:blockDetector=752
    I:blockFlora=753
    I:blockFrame=751
    I:blockGlassWall=767
    I:blockLotus=764
    I:blockMarble=755
    I:blockMarbleBrickStairs=757
    I:blockMarbleCobbleStairs=759
    I:blockMarbleDoubleSlab=763
    I:blockMarbleSlab=762
    I:blockReinforced=766
    I:blockScaffold=768
    I:blockSteel=765
}


####################
# cave generation - basalt
####################

"cave generation - basalt" {
    # How much generation 'sticks' to walls, 0-100, higher numbers lead to more extensive caves with thinner walls (Default 75)
    I:"Basalt Cave Adherence"=75

    # Number of times to attempt to generate basalt caves in each chunk
    I:"Basalt Cave Frequency"=4

    # Maximum height to begin basalt cave generation (Default 64)
    I:"Basalt Cave Height"=64

    # Average size of basalt caves (Default 400)
    I:"Basalt Cave Size"=2000

    # Whether or not to generate basalt caves (Default false) [WARNING]: This loads many chunks, I suggest using regeneration to generate after initial map creation
    B:"Basalt Cave Worldgen"=false
}


####################
# cave generation - marble
####################

"cave generation - marble" {
    # How much generation 'sticks' to walls, 0-100, higher numbers lead to more extensive caves with thinner walls (Default 75)
    I:"Marble Cave Adherence"=75

    # Number of times to attempt to generate marble caves
    I:"Marble Cave Frequency"=4

    # Maximum height to begin marble cave generation (Default 128)
    I:"Marble Cave Height"=64

    # Average size of marble caves (Default 400)
    I:"Marble Cave Size"=2000

    # Whether or not to generate marble caves (Default false) [WARNING]: This loads many chunks, I suggest using regeneration to generate after initial map creation
    B:"Marble Cave Worldgen"=false
}


####################
# client
####################

client {
    B:"Enable Tooltips"=true
    B:"Flavor Text"=true
    B:"Tooltip Flavor Text"=true
    B:Tooltips=true
}


####################
# cluster generation - basalt
####################

"cluster generation - basalt" {
    # Number of times to attempt to place basalt clusters in each chunk (Default 4)
    I:"Basalt Cluster Frequency"=4

    # Max height to begin basalt cluster generation (Default 64)
    I:"Basalt Cluster Height"=64

    # Average size of basalt clusters in the world (Default 200)
    I:"Basalt Cluster Size"=200

    # Whether or not to generate basalt clusters (Default false)
    B:"Generate Basalt Clusters"=false
}


####################
# cluster generation - marble
####################

"cluster generation - marble" {
    # Whether or not to generate marble clusters (Default true)
    B:"Generate Marble Clusters"=true

    # Number of times to attempt to place marble clusters in each chunk (Default 4)
    I:"Marble Cluster Frequency"=4

    # Max height to begin marble cluster generation (Default 128)
    I:"Marble Cluster Height"=128

    # Average size of marble clusters in the world (Default 200)
    I:"Marble Cluster Size"=200
}


####################
# compatibility
####################

compatibility {
    # Comma-seperated list of ID:Meta pairs to add to a cycling chain of 1:1 basalt exchange recipes. No spaces or quotes, meta is required.
    S:"Basalt List"=

    # Set to false to disable random flower growth from bonemeal
    B:"Bonemeal Flowers"=true

    # A comma-separated list of dimension IDs to disable worldgen in. (No spaces)
    S:"Dimension Blacklist"=-28,20,-127,-29

    # Comma-seperated list of ID:Meta pairs to add to a cycling chain of 1:1 marble exchange recipes. No spaces or quotes, meta is required.
    S:"Marble List"=
}


####################
# general
#===================
# Enable or disable mod features completely
####################

general {
    S:"Basalt List"=
    B:"Bonemeal Flowers"=true
    B:"Enable Boxes"=true
    B:"Enable Coins"=true
    B:"Enable Frames"=true
    B:"Enable Sickles"=true
    B:"Enable Sledges"=true
    B:"Enable Steel"=true
    B:"Enable Upgrades"=true
    B:"Enable Worldgen"=true
    B:"Limit Upgrades"=true
    S:"Marble List"=
}


####################
# item
####################

item {
    # The item ID to use as the starting point for assignment, delete the other IDs to reassign
    I:"Item Starting ID"=5601
    I:itemBox=5607
    I:itemCoin=5615
    I:itemDye=5608
    I:itemNugget=5614
    I:itemSickleDiamond=5613
    I:itemSickleGold=5612
    I:itemSickleIron=5611
    I:itemSickleStone=5610
    I:itemSickleWood=5609
    I:itemSledgeDiamond=5605
    I:itemSledgeGold=5604
    I:itemSledgeIron=5603
    I:itemSledgeStone=5602
    I:itemSledgeWood=5601
    I:itemSteelIngot=5606
    I:itemUpgrade=5616
}


####################
# layer generation - basalt
####################

"layer generation - basalt" {
    # Average maximum height for basalt layer (Default 7)
    I:"Basalt Layer Max Height"=7

    # Average minimum height for basalt layer (Default -2)
    I:"Basalt Layer Min Height"=-2

    # Whether or not to generate a basalt layer (Default True)
    B:"Generate Basalt Layer"=true
}


####################
# layer generation - marble
####################

"layer generation - marble" {
    # Whether or not to generate a marble layer (Default false)
    B:"Generate Marble Layer"=false

    # Average maximum height for marble layer (Default 14)
    I:"Marble Layer Max Height"=14

    # Average minimum height for marble layer (Default -2)
    I:"Marble Layer Min Height"=-2
}


####################
# plant generation
####################

"plant generation" {
    # Number of times to attempt to place flowers in each chunk (Default 1)
    I:"Flower Frequency"=1

    # Whether or not to generate flowers
    B:"Generate Flowers"=true

    # Whether or not to generate lotus lilies
    B:"Generate Lotus Lilies"=true

    # Number of times to attempt to place lotus lilies in each chunk (Default 1)
    I:"Lotus Liy Frequency"=1
}


####################
# recipes
#===================
# Controls whether or not to make recipes available for use
####################

recipes {
    # Set to true to enable an alternate steel recipe crafts steel dust from an iron ingot and coal/charcoal
    B:"Alternate Steel Recipe"=false

    # The amount of extra coal/charcoal each pile of steel dust will require to craft on a workbench. Minimum of 1, maximum of 8
    I:"Alternate Steel Recipe Fuel Requirement"=2
    B:"Basalt Recipes"=true
    B:"Blast Wall Recipes"=true
    B:"Box Recipes"=true

    # Whether or not to allow coins to be traded up or down for other coins
    B:"Coin Changing"=true

    # Whether or not to allow coins to be minted from nuggets
    B:"Coin Minting"=true

    # Whether or not to allow coins to be smelted back into nuggets
    B:"Coin Smelting"=false

    # Set to false to prevent convenience crafting (Smelt stone bricks to cracked variant, craft mossy brick/cobble variants with water bucket, craft 2 chiseled brick from 2 normal).
    B:"Convenience Recipes"=true
    B:"Detector Recipe"=true
    B:"Flower Recipes"=true
    B:"Frame Recipes"=true
    B:"Glass Wall Recipes"=true
    B:"Marble Recipes"=true
    B:"Scaffolding Recipes"=true
    B:"Sickle Recipes"=true
    B:"Sledge Recipes"=true

    # Set to false to prevent the smelting of steel
    B:"Steel Smelting"=true

    # Set to false to prevent cycling through types of stone as defined in the Basalt/Marble lists
    B:"Stone Cycling Recipes"=true
    B:"Upgrade Recipes"=true
}


####################
# upgrades
#===================
# Maximum level of enchantment allowed for each enchantment via upgrades
####################

upgrades {
    # If true, caps the maximum enchant level that can be applied through upgrades to the configured levels, if not set they will cap at the natural level cap
    B:"Limit Upgrades"=true
    I:"Max Aqua Affinity Level"=1
    I:"Max Blast Protection Level"=3
    I:"Max Efficiency Level"=3
    I:"Max Feather Falling Level"=3
    I:"Max Fire Protection Level"=3
    I:"Max Knockback Level"=2
    I:"Max Power Level"=3
    I:"Max Projectile Protection Level"=3
    I:"Max Protection Level"=3
    I:"Max Punch Level"=2
    I:"Max Respiration Level"=3
    I:"Max Sharpness Level"=3
    I:"Max Thorns Level"=2
    I:"Max Unbreaking Level"=2
}


####################
# world generation
####################

"world generation" {
    I:"Basalt Cave Adherence"=75
    I:"Basalt Cave Frequency"=4
    I:"Basalt Cave Height"=64
    I:"Basalt Cave Size"=2000
    B:"Basalt Cave Worldgen"=false
    I:"Basalt Cluster Frequency"=4
    I:"Basalt Cluster Height"=64
    I:"Basalt Cluster Size"=200
    I:"Basalt Layer Max Height"=7
    I:"Basalt Layer Min Height"=-2
    S:"Dimension Blacklist"=-28,20,-127,-29
    I:"Flower Frequency"=1
    B:"Generate Basalt Clusters"=false
    B:"Generate Basalt Layer"=true
    B:"Generate Flowers"=true
    B:"Generate Lotus Lilies"=true
    B:"Generate Marble Clusters"=true
    B:"Generate Marble Layer"=false
    I:"Lotus Liy Frequency"=1
    I:"Marble Cave Adherence"=75
    I:"Marble Cave Frequency"=4
    I:"Marble Cave Height"=64
    I:"Marble Cave Size"=2000
    B:"Marble Cave Worldgen"=false
    I:"Marble Cluster Frequency"=4
    I:"Marble Cluster Height"=128
    I:"Marble Cluster Size"=200
    I:"Marble Layer Max Height"=14
    I:"Marble Layer Min Height"=-2
    S:"Regen Key"=DEFAULT
    B:"Regenerate Basalt Caves"=false
    B:"Regenerate Basalt Clusters"=false
    B:"Regenerate Basalt Layer"=false
    B:"Regenerate Flora"=false
    B:"Regenerate Lotus Lilies"=false
    B:"Regenerate Marble Caves"=false
    B:"Regenerate Marble Clusters"=false
    B:"Regenerate Marble Layer"=false
}


####################
# world regeneration
#===================
# Set the features you want to regenerate or not to true/false, and change the Regen Key to begin regeneration on next startup
####################

"world regeneration" {
    S:"Regen Key"=DEFAULT
    B:"Regenerate Basalt Caves"=false
    B:"Regenerate Basalt Clusters"=false
    B:"Regenerate Basalt Layer"=false
    B:"Regenerate Flora"=false
    B:"Regenerate Lotus Lilies"=false
    B:"Regenerate Marble Caves"=false
    B:"Regenerate Marble Clusters"=false
    B:"Regenerate Marble Layer"=false
}


